
Redmine - Defect #5403

The activity (and others?) feed is not valid

2010-04-29 16:12 - Martin Bagge

Status: Closed Start date: 2010-04-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Feeds Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

I think something has changed that make the Atom feed of the activity list produce invalid URLs. They lack the hostname and only

provide the path.

I use the following URL and looking at the source as well as using feedvalidator.org it sure looks like the feed is broken.

http://redmine.sis.bthstudent.se/projects/sis/activity.atom?show_files=1&show_issues=1&show_wiki_edits=1&with_subprojects=1

I have been checking the source code and can not really grasp what has gone wrong. The feed view has onlypath set to false and all

so it sure looks like it should work.

I use a trunk checkout on a Debian Testing, at writing this the revision running is r3694

Associated revisions

Revision 3703 - 2010-04-30 12:45 - Jean-Philippe Lang

Fixes URLs in atom feeds broken by r3681 (#5403).

History

#1 - 2010-04-29 19:19 - Muntek Singh

I can confirm this on r3696

#2 - 2010-04-29 20:11 - Muntek Singh

FWIW I can also confirm that the issue does not exist in r3671, so was introduced in those ~23 revisions.

#3 - 2010-04-30 12:41 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

This was introduced in r3681. Fixed in r3703 with test.

#4 - 2011-10-25 12:47 - Gregory Davenport
